# Game - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.games / Game

# Game

(common) `data class Game : Titled, CaptionedInput` (source)

### Constructors

(common)

#### <init>

`Game(title: String, description: String, photo: Photo, caption: String? = null, captionEntities: List<TextPart> = emptyList(), animation: AnimationFile? = null)`

### Properties

(common)

#### animation

`val animation: AnimationFile?`

(common)

#### caption

`val caption: String?`

(common)

#### captionEntities

Not full list of entities. This list WILL NOT contain TextParts with com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources.RegularTextSource

`val captionEntities: List<TextPart>`

(common)

#### description

`val description: String`

(common)

#### photo

`val photo: Photo`

(common)

#### title

`val title: String`

### Extension Functions

(common)

#### fullEntitiesList

Convert its CaptionedInput.captionEntities to list of com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts.TextSource with com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources.RegularTextSource

`fun CaptionedInput.fullEntitiesList(): FullTextSourcesList`

(common)

#### toHtmlCaptions

`fun CaptionedInput.toHtmlCaptions(): List<String>`

(common)

#### toMarkdownCaptions

`fun CaptionedInput.toMarkdownCaptions(): List<String>`

(common)

#### toMarkdownV2Captions

`fun CaptionedInput.toMarkdownV2Captions(): List<String>`